Это хороший день для Joomla Project, так как сегодня объявлено о выпуске Joomla 3.9 - «The Privacy Tool Suite» - отмечая десятую небольшую версию в серии 3.x....

Try-all Joomla!

4 причины, почему вы должны использовать PHP 7

С перспективой Joomla 4 в следующем году мы хотели бы напомнить о необходимости обновления до PHP 7.
Для Joomla 4 потребуется PHP 7, как указано в этом объявлении. Большинство хостинг-провайдеров уже предлагают PHP 7 в своих пакетах, и вам довольно легко изменить вашу версию PHP. (Подсказка: прежде чем вы это сделаете, убедитесь, что вы сделали резервную копию) Если нет, обратитесь к своему администратору.

Давайте рассмотрим 4 причины, почему вам не следует ждать обновления PHP.

PHP 7 лучше

Легко сказать, конечно, но у PHP 7 действительно есть улучшение производительности, которое заставляет ваш сайт работать в два раза быстрее (по сравнению с PHP 5) и имеет 50% лучшее потребление памяти. Конечно, PHP 7 также более безопасен и позволяет вам делать больше если Вы разработчик.

Joomla 4 будет намного лучше

Joomla 4 будет иметь огромные улучшения как для пользователей, так и для разработчиков. Более чистый код, обновленная структура, отличные новые функции и многое другое. Bootstrap 4 будет реализован в ядре, будет создано 2 новых шаблона (frontend и backend), новый медиа-менеджер понравится многим.

Поскольку Joomla 4 все еще находится в разработке и ее выход прогнозирует на вторую половину 2018 года, список функций будет обновляться и объявлен до запуска.

Обновленная структура

Обновленная платформа (версия 2.0), поставляемая вместе с Joomla 4, имеет некоторые существенные улучшения. API базы данных будет поддерживать поддерживаемые подготовленные операторы, что является важным улучшением безопасности. Хранение зашифрованных данных теперь возможно с использованием более модульного компонента Keychain. Благодаря новым компонентам консоли инструменты командной строки могут быть улучшены и иметь повышенный уровень безопасности.

Полный список функций можно найти в дорожной карте.

Это более безопасно и поддерживается

Версии старше PHP 5.6 больше не поддерживаются для исправлений безопасности. Если в PHP 5.3 обнаружена большая уязвимость, никто не собирается ее исправлять, и ваш сайт будет уязвим. Используя последнюю версию, вы всегда будете знать, что эти возможные проблемы вас не коснуться, а обновления будут доступны вам очень быстро.

Поскольку PHP 7 является последней версией, она будет поддерживаться в течение длительного времени, поэтому ваш сайт Joomla 4 будет легко работать до 2025 года.

Что, если я не смогу обновиться?

Важно помнить, что Joomla 3.9 будет поддерживаться в течение двух лет после ее выпуска. Это означает, что вы можете легко запускать свой сайт Joomla 3 до 2020 года, но вы пропустите все замечательные функции и преимущества Joomla 4. Но будем честными, если ваш хост не поддерживает PHP 7 к настоящему времени, это может быть причиной для поиска другой хостинговой компании.

    Мы твердо намерены сделать следующее поколение Joomla лучшим поколением и почувствовать, что продвижение PHP 7 в будущем поможет обеспечить продукт самого высокого качества для наших пользователей.
    М.Баккер

Joomla 3.8.4 Релиз
Joomla 3.8.3
 

Комментарии

Нет созданных комментариев. Будь первым кто оставит комментарий.
Уже зарегистрированны? Войти на сайт
Гость
16.12.2018

Это хороший день для Joomla Project, так как сегодня объявлено о выпуске Joomla 3.9 - «The Privacy T...
Доступна Joomla 3.8.10. Это релиз, который включает исправления ошибок, исправляющий одну ошибку, об...
Доступен Joomla 3.8.7. Это релиз исправления ошибок для серии 3.x Joomla, включая более 70 исправлен...
Доступна Joomla 3.8.4. Это релиз безопасности для серии 3.x, которая устраняет четыре уязвимости без...

© TRY-ALL.RU 2010-2017
Использование материалов сайта возможно без условий.

Модули|Компоненты|Шаблоны|Плагины|Литература